[Success build on first deployment but fails on when passing updates Netlify], Error Message: Found two different GraphQL fragments with identical name "ProfileFragment"

This deployment keeps failing and I just can’t wrap my head around the problem and have been frustrated by it.

If anyone can help I would be utterly grateful!

Github Repository : https://github.com/CarltonOsinde/-carltonosinde.github.io
Netlify Site Name : https://www.carltonosinde.com/

Deploy details

Deploy failed

1:10:19 AM: Build ready to start
1:10:21 AM: build-image version: d84c79427e8f83c1ba17bcdd7b3fe38059376b68
1:10:21 AM: build-image tag: v3.6.1
1:10:21 AM: buildbot version: df42d44cc6a0381cf657a671baf049c03981bafe
1:10:21 AM: Fetching cached dependencies
1:10:21 AM: Failed to fetch cache, continuing with build
1:10:21 AM: Starting to prepare the repo for build
1:10:21 AM: No cached dependencies found. Cloning fresh repo
1:10:21 AM: git clone https://github.com/CarltonOsinde/Portfolio
1:10:27 AM: Preparing Git Reference refs/heads/develop
1:10:30 AM: Different publish path detected, going to use the one specified in the Netlify configuration file: ‘public’ versus ‘public/’ in the Netlify UI
1:10:30 AM: Starting build script
1:10:31 AM: Installing dependencies
1:10:31 AM: Python version set to 2.7
1:10:32 AM: v12.18.0 is already installed.
1:10:33 AM: Now using node v12.18.0 (npm v6.14.4)
1:10:33 AM: Started restoring cached build plugins
1:10:33 AM: Finished restoring cached build plugins
1:10:33 AM: Attempting ruby version 2.7.1, read from environment
1:10:34 AM: Using ruby version 2.7.1
1:10:35 AM: Using PHP version 5.6
1:10:35 AM: Started restoring cached node modules
1:10:35 AM: Finished restoring cached node modules
1:10:35 AM: Started restoring cached yarn cache
1:10:35 AM: Finished restoring cached yarn cache
1:10:35 AM: Installing yarn at version 1.22.4
1:10:35 AM: Installing Yarn!
1:10:35 AM: > Downloading tarball…
1:10:35 AM: [1/2]: https://yarnpkg.com/downloads/1.22.4/yarn-v1.22.4.tar.gz → /tmp/yarn.tar.gz.bMDBmFYOox
1:10:35 AM: % Total % Received % Xferd Average Speed Time Time Time Current
1:10:35 AM: Dload Upload Total Spent Left Speed
1:10:36 AM: 0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0
1:10:36 AM: 0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0
1:10:36 AM: 100 80 100 80 0 0 342 0 --:–:-- --:–:-- --:–:-- 341
1:10:36 AM: 100 93 100 93 0 0 161 0 --:–:-- --:–:-- --:–:-- 161
1:10:36 AM: 100 625 100 625 0 0 725 0 --:–:-- --:–:-- --:–:-- 725
1:10:37 AM: 0 0 0 0 0 0 0 0 --:–:-- 0:00:01 --:–:-- 0
1:10:37 AM: 100 1215k 100 1215k 0 0 999k 0 0:00:01 0:00:01 --:–:-- 7067k
1:10:37 AM: [2/2]: https://yarnpkg.com/downloads/1.22.4/yarn-v1.22.4.tar.gz.asc → /tmp/yarn.tar.gz.bMDBmFYOox.asc
1:10:37 AM: 100 84 100 84 0 0 1844 0 --:–:-- --:–:-- --:–:-- 1844
1:10:37 AM: 100 97 100 97 0 0 1281 0 --:–:-- --:–:-- --:–:-- 1281
1:10:37 AM: 100 629 100 629 0 0 5797 0 --:–:-- --:–:-- --:–:-- 5797
1:10:37 AM: 100 1028 100 1028 0 0 8392 0 --:–:-- --:–:-- --:–:-- 8392
1:10:37 AM: > Verifying integrity…
1:10:37 AM: gpg: Signature made Mon 09 Mar 2020 03:52:13 PM UTC using RSA key ID 69475BAA
1:10:37 AM: gpg: Good signature from “Yarn Packaging yarn@dan.cx
1:10:37 AM: gpg: Note: This key has expired!
1:10:37 AM: Primary key fingerprint: 72EC F46A 56B4 AD39 C907 BBB7 1646 B01B 86E5 0310
1:10:37 AM: Subkey fingerprint: 6D98 490C 6F1A CDDD 448E 4595 4F77 6793 6947 5BAA
1:10:37 AM: > GPG signature looks good
1:10:37 AM: > Extracting to ~/.yarn…
1:10:37 AM: > Adding to PATH... 1:10:37 AM: > Successfully installed Yarn 1.22.4! Please open another terminal where the `yarn` command will now be available. 1:10:38 AM: Installing NPM modules using Yarn version 1.22.4 1:10:39 AM: yarn install v1.22.4 1:10:39 AM: warning package.json: "dependencies" has dependency "react" with range "^17.0.1" that collides with a dependency in "devDependencies" of the same name with version "^16.12.0" 1:10:39 AM: warning package.json: "dependencies" has dependency "react-dom" with range "^17.0.1" that collides with a dependency in "devDependencies" of the same name with version "^16.12.0" 1:10:39 AM: warning package-lock.json found. Your project contains lock files generated by tools other than Yarn. It is advised not to mix package managers in order to avoid resolution inconsistencies caused by unsynchronized lock files. To clear this warning, remove package-lock.json. 1:10:39 AM: warning @wkocjan/gatsby-theme-intro@1.0.14: "dependencies" has dependency "react" with range "^17.0.1" that collides with a dependency in "devDependencies" of the same name with version "^16.12.0" 1:10:39 AM: warning @wkocjan/gatsby-theme-intro@1.0.14: "dependencies" has dependency "react-dom" with range "^17.0.1" that collides with a dependency in "devDependencies" of the same name with version "^16.12.0" 1:10:39 AM: [1/4] Resolving packages... 1:10:44 AM: [2/4] Fetching packages... 1:10:56 AM: warning url-loader@1.1.2: Invalid bin field for "url-loader". 1:11:20 AM: info fsevents@2.1.2: The platform "linux" is incompatible with this module. 1:11:20 AM: info "fsevents@2.1.2" is an optional dependency and failed compatibility check. Excluding it from installation. 1:11:20 AM: info fsevents@1.2.12: The platform "linux" is incompatible with this module. 1:11:20 AM: info "fsevents@1.2.12" is an optional dependency and failed compatibility check. Excluding it from installation. 1:11:20 AM: info fsevents@2.3.2: The platform "linux" is incompatible with this module. 1:11:20 AM: info "fsevents@2.3.2" is an optional dependency and failed compatibility check. Excluding it from installation. 1:11:20 AM: [3/4] Linking dependencies... 1:11:20 AM: warning " > @wkocjan/gatsby-theme-intro@1.1.0" has incorrect peer dependency "react@^16.12.0". 1:11:20 AM: warning " > @wkocjan/gatsby-theme-intro@1.1.0" has incorrect peer dependency "react-dom@^16.12.0". 1:11:20 AM: warning "@wkocjan/gatsby-theme-intro > react-helmet > react-side-effect@1.2.0" has incorrect peer dependency "react@^0.13.0 || ^0.14.0 || ^15.0.0 || ^16.0.0". 1:11:20 AM: warning "gatsby > @typescript-eslint/eslint-plugin > tsutils@3.17.1" has unmet peer dependency "typescript@>=2.8.0 || >= 3.2.0-dev || >= 3.3.0-dev || >= 3.4.0-dev || >= 3.5.0-dev || >= 3.6.0-dev || >= 3.6.0-beta || >= 3.7.0-dev || >= 3.7.0-beta". 1:11:20 AM: warning "gatsby > @reach/router@1.3.4" has incorrect peer dependency "react@15.x || 16.x || 16.4.0-alpha.0911da3". 1:11:20 AM: warning "gatsby > @reach/router@1.3.4" has incorrect peer dependency "react-dom@15.x || 16.x || 16.4.0-alpha.0911da3". 1:11:20 AM: warning "gatsby > @reach/router > create-react-context@0.3.0" has incorrect peer dependency "react@^0.14.0 || ^15.0.0 || ^16.0.0". 1:11:20 AM: warning "gatsby > eslint-plugin-graphql > graphql-config > @endemolshinegroup/cosmiconfig-typescript-loader > ts-node@9.1.1" has unmet peer dependency "typescript@>=2.7". 1:11:52 AM: [4/4] Building fresh packages... 1:12:00 AM: success Saved lockfile. 1:12:00 AM: Done in 81.12s. 1:12:00 AM: NPM modules installed using Yarn 1:12:00 AM: warning package.json: "dependencies" has dependency "react" with range "^17.0.1" that collides with a dependency in "devDependencies" of the same name with version "^16.12.0" 1:12:00 AM: warning package.json: "dependencies" has dependency "react-dom" with range "^17.0.1" that collides with a dependency in "devDependencies" of the same name with version "^16.12.0" 1:12:00 AM: Started restoring cached go cache 1:12:00 AM: Finished restoring cached go cache 1:12:00 AM: go version go1.14.4 linux/amd64 1:12:00 AM: go version go1.14.4 linux/amd64 1:12:00 AM: Installing missing commands 1:12:00 AM: Verify run directory 1:12:02 AM: ​ 1:12:02 AM: ──────────────────────────────────────────────────────────────── 1:12:02 AM: Netlify Build 1:12:02 AM: ──────────────────────────────────────────────────────────────── 1:12:02 AM: ​ 1:12:02 AM: ❯ Version 1:12:02 AM: @netlify/build 9.1.3 1:12:02 AM: ​ 1:12:02 AM: ❯ Flags 1:12:02 AM: deployId: 60349c4bc15ba300084bb63d 1:12:02 AM: mode: buildbot 1:12:02 AM: ​ 1:12:02 AM: ❯ Current directory 1:12:02 AM: /opt/build/repo 1:12:02 AM: ​ 1:12:02 AM: ❯ Config file 1:12:02 AM: No config file was defined: using default values. 1:12:02 AM: ​ 1:12:02 AM: ❯ Context 1:12:02 AM: production 1:12:03 AM: ​ 1:12:03 AM: ──────────────────────────────────────────────────────────────── 1:12:03 AM: 1. Build command from Netlify app 1:12:03 AM: ──────────────────────────────────────────────────────────────── 1:12:03 AM: ​ 1:12:03 AM: gatsby build
1:12:05 AM: error Unexpected key “componentDataDependencies” found in preloadedState argument passed to createStore. Expected to find one of the known reducer keys instead: “nodes”, “logs”, “pages”, “redirects”, “schema”, “definitions”, “staticQueryComponents”, “status”, “webpack”, “pageData”, “themes”, “webpackCompilationHash”, “config”, “lastAction”, “jobsV2”, “pageDataStats”, “components”, “babelrc”, “jobs”, “nodesByType”, “program”, “resolvedNodesCache”, “nodesTouched”, “flattenedPlugins”, “pendingPageDataWrites”, “schemaCustomization”, “inferenceMetadata”, “staticQueriesByTemplate”, “queries”, “visitedPages”. Unexpected keys will be ignored.
1:12:07 AM: success open and validate gatsby-configs - 0.799s
1:12:08 AM: success load plugins - 0.922s
1:12:08 AM: success onPreInit - 0.050s
1:12:08 AM: success delete html and css files from previous builds - 0.010s
1:12:08 AM: info One or more of your plugins have changed since the last time you ran Gatsby. As
1:12:08 AM: a precaution, we’re deleting your site’s cache to ensure there’s no stale data.success initialize cache - 0.047s
1:12:08 AM: success copy gatsby files - 0.064s
1:12:08 AM: success onPreBootstrap - 0.015s
1:12:08 AM: success createSchemaCustomization - 0.005s
1:12:08 AM: warning The @wkocjan/gatsby-theme-intro plugin has generated no Gatsby nodes. Do you need it?
1:12:08 AM: success Checking for changed pages - 0.000s
1:12:08 AM: success source and transform nodes - 0.202s
1:12:09 AM: success building schema - 0.495s
1:12:09 AM: info Total nodes: 65, SitePage nodes: 2 (use --verbose for breakdown)
1:12:09 AM: success createPages - 0.013s
1:12:09 AM: success Checking for changed pages - 0.000s
1:12:09 AM: success createPagesStatefully - 0.087s
1:12:09 AM: success Cleaning up stale page-data - 0.004s
1:12:09 AM: success update schema - 0.038s
1:12:09 AM: success onPreExtractQueries - 0.001s
1:12:10 AM: error Found two different GraphQL fragments with identical name “ProfileFragment”. Fragment names must be unique
1:12:10 AM: File: /opt/build/repo/node_modules/@wkocjan/gatsby-theme-intro/src/types/profile.js
1:12:10 AM: > 1 | fragment ProfileFragment on ProfileYaml{about budget{currency default max min}company focus focus_url for_hire image{childImageSharp{fixed(width:144 height:144 quality:85){…GatsbyImageSharpFixed_withWebp}}publicURL}initials location name profession relocation skills tools}
1:12:10 AM: | ^^^^^^^^^^^^^^^
1:12:10 AM: File: /opt/build/repo/src/types/profile.js
1:12:10 AM: > 1 | fragment ProfileFragment on ProfileYaml{about budget{currency default max min}company email focus focus_url for_hire image{childImageSharp{fixed(width:144 height:144 quality:85){…GatsbyImageSharpFixed_withWebp}}publicURL}initials location name profession relocation skills tools}
1:12:10 AM: | ^^^^^^^^^^^^^^^
1:12:10 AM: error There was an error in your GraphQL query:
1:12:10 AM: The fragment “ProfileFragment” does not exist.
1:12:10 AM: 33 | <Footer
1:12:10 AM: 34 | name={profile.name}
1:12:10 AM: 35 | showThemeLogo={site.siteMetadata.showThemeLogo}
1:12:10 AM: 36 | />
1:12:10 AM: 37 |
1:12:10 AM: 38 | )
1:12:10 AM: 39 | }
1:12:10 AM: 40 |
1:12:10 AM: 41 | export default IndexPage
1:12:10 AM: 42 |
1:12:10 AM: > 43 | export const query = graphql | ^^^^^^^^^^^^^^^^^^ 44 | query { 45 | site { 46 | siteMetadata { 47 | showThemeLogo 48 | } 49 | } 50 | profile: profileYaml { 51 | ...ProfileFragment 52 | } 53 | social: allSocialYaml(filter: { url: { ne: null } }) {Did you mean to use "ProjectFragment"?error There was an error in your GraphQL query:The fragment "ProfileFragment" does not exist. 34 | <Footer 35 | name={profile.name} 36 | showThemeLogo={site.siteMetadata.showThemeLogo} 37 | /> 38 | </div> 39 | ) 40 | } 41 | 42 | export default IndexPage 43 |> 44 | export const query = graphql
1:12:10 AM: | ^^^^^^^^^^^^^^^^^^
1:12:10 AM: 45 | query {
1:12:10 AM: 46 | site {
1:12:10 AM: 47 | siteMetadata {
1:12:10 AM: 48 | showThemeLogo
1:12:10 AM: 49 | formspreeEndpoint
1:12:10 AM: 50 | }
1:12:10 AM: 51 | }
1:12:10 AM: 52 | profile: profileYaml {
1:12:10 AM: 53 | …ProfileFragment
1:12:10 AM: 54 | }
1:12:10 AM: Did you mean to use “ProjectFragment”?
1:12:10 AM: failed extract queries from components - 0.529s
1:12:10 AM: ​
1:12:10 AM: ────────────────────────────────────────────────────────────────
1:12:10 AM: “build.command” failed
1:12:10 AM: ────────────────────────────────────────────────────────────────
1:12:10 AM: ​
1:12:10 AM: Error message
1:12:10 AM: Command failed with exit code 1: gatsby build
1:12:10 AM: ​
1:12:10 AM: Error location
1:12:10 AM: In Build command from Netlify app:
1:12:10 AM: gatsby build
1:12:10 AM: ​
1:12:10 AM: Resolved config
1:12:10 AM: build:
1:12:10 AM: command: gatsby build
1:12:10 AM: commandOrigin: ui
1:12:10 AM: publish: /opt/build/repo/public
1:12:10 AM: Caching artifacts
1:12:10 AM: Started saving node modules
1:12:10 AM: Finished saving node modules
1:12:10 AM: Started saving build plugins
1:12:10 AM: Finished saving build plugins
1:12:10 AM: Started saving yarn cache
1:12:10 AM: Finished saving yarn cache
1:12:10 AM: Started saving pip cache
1:12:10 AM: Finished saving pip cache
1:12:10 AM: Started saving emacs cask dependencies
1:12:10 AM: Finished saving emacs cask dependencies
1:12:10 AM: Started saving maven dependencies
1:12:10 AM: Finished saving maven dependencies
1:12:10 AM: Started saving boot dependencies
1:12:10 AM: Finished saving boot dependencies
1:12:10 AM: Started saving rust rustup cache
1:12:10 AM: Finished saving rust rustup cache
1:12:10 AM: Started saving go dependencies
1:12:10 AM: Finished saving go dependencies
1:12:13 AM: Build failed due to a user error: Build script returned non-zero exit code: 2
1:12:13 AM: Failing build: Failed to build site
1:12:13 AM: Failed during stage ‘building site’: Build script returned non-zero exit code: 2
1:12:14 AM: Finished processing build request in 1m52.825500715s

Hey there, @CarltonOsinde :wave:

Welcome to the Netlify Forums! Sorry you are having a frustrating time with this, this is not the experience we want you to have.

First, has this site worked locally? Second, This Support Guide contains a ton of useful debugging tips that can likely help you solve your problem :slight_smile:

If you are still having problems, and this site does work locally, please provide as much information as you can on what you have already tried, what your build settings are, your package.json, etc. Thanks!